Paizo Foundry VTT modules and Foundry v10


Announcements

Paizo Employee Front-End Engineering Lead

4 people marked this as a favorite.

As many of you are already aware, the long-awaited Foundry version 10 stable release will be dropping today (August 31, 2022). Exciting! However, please be aware that the premium content modules Paizo has produced for Foundry, including the Pathfinder Beginner Box, Abomination Vaults, Outlaws of Alkenstar, and Blood Lords, have not yet been updated to support v10, and will almost certainly suffer from major compatibility issues. At this point, we strongly recommend that users of the Paizo premium modules refrain from updating to Foundry v10 until the modules can be updated to take advantage of all the new features in the new version, including the new journal entry system. It is our expectation at this time that all premium content modules will be fully compatible with v10 before the end of September.

TL;DR: Updating to today's Foundry v10 stable release will likely break any Paizo premium content modules you have installed. Please wait to upgrade if you currently rely on them.


Pathfinder Rulebook Subscriber
Andrew White wrote:

As many of you are already aware, the long-awaited Foundry version 10 stable release will be dropping today (August 31, 2022). Exciting! However, please be aware that the premium content modules Paizo has produced for Foundry, including the Pathfinder Beginner Box, Abomination Vaults, Outlaws of Alkenstar, and Blood Lords, have not yet been updated to support v10, and will almost certainly suffer from major compatibility issues. At this point, we strongly recommend that users of the Paizo premium modules refrain from updating to Foundry v10 until the modules can be updated to take advantage of all the new features in the new version, including the new journal entry system. It is our expectation at this time that all premium content modules will be fully compatible with v10 before the end of September.

TL;DR: Updating to today's Foundry v10 stable release will likely break any Paizo premium content modules you have installed. Please wait to upgrade if you currently rely on them.

Gonna ask this like I did in the Reddit thread that was posted, but any word on when/if Paizo will update the five Pathfinder Bounty premium modules to be compatible for V10?

I ask since those modules were made before the partnerships with Foundry and Sigil, and supposedly made in-house by Paizo themselves. I want to check to see if anyone is gonna make sure those paid modules are updated to be compatible for V2 Journals on Foundry, or at the very least, make those at Paizo aware they should probably get around to doing that.


Cora via PF2e Foundry Discord wrote:


On Foundry's side, we hope to release Beginner Box support within the next 7 days, and basic V10 compatibility for AV at around the same time or shortly afterwards. This will allow for campaigns running these adventures to continue unhindered. I can't speak to Sigil's timelines, but I would imagine they may take a little longer- Foundry have an unfair head start.

Beyond this, overhauling and upgrading the contents of every adventure to make use of new V10 features is a lengthier process. We are hoping for a second wave of releases that offer some of these new features to occur before the end of september, barring any surprises.

Hope that helps give an idea.


Pathfinder Rulebook Subscriber

That only accounts for the adventures that Foundry and Sigil had a hand in making the modules for, due to the partnership with Paizo. It doesn't account for Paizo's five Pathfinder Bounty modules, which Paizo themselves produced as a way to test the market for premium Foundry modules.

Just voicing my concern, is all. Hopefully they can manage to get some help converting those modules from the folks over at Foundry. And I can't imagine it'd be a lot of effort when compared to converting the Beginner Box or all of AV.

Paizo Employee Front-End Engineering Lead

4 people marked this as a favorite.
Ezekieru wrote:
Gonna ask this like I did in the Reddit thread that was posted, but any word on when/if Paizo will update the five Pathfinder Bounty premium modules to be compatible for V10?

They will definitely be updated, yes. I'm hesitant to commit to a specific date because we haven't yet had time to upgrade to v10 ourselves and get a feel for everything that's changed, but given how simple the Bounty modules are in comparison, we should be able to get them up to date sometime in the next week or two.


Pathfinder Rulebook Subscriber
Andrew White wrote:
Ezekieru wrote:
Gonna ask this like I did in the Reddit thread that was posted, but any word on when/if Paizo will update the five Pathfinder Bounty premium modules to be compatible for V10?
They will definitely be updated, yes. I'm hesitant to commit to a specific date because we haven't yet had time to upgrade to v10 ourselves and get a feel for everything that's changed, but given how simple the Bounty modules are in comparison, we should be able to get them up to date sometime in the next week or two.

Thank you so much for the quick response! I'm glad to hear those Bounties will be updated. I can't wait to see how Paizo goes about using V2 Journals in the current and future modules!


1 person marked this as a favorite.

Out of interest if a module is updated do I have to reimport everything? Will I lose any notations, journals, player fog of war, etc from my current version?


8Brit wrote:
Out of interest if a module is updated do I have to reimport everything? Will I lose any notations, journals, player fog of war, etc from my current version?

Theorectically no. However you should still create a back up of your game just incase there is something that goes wrong. There are several resources that you should be using in terms of making sure what you can do to make sure that a transisition to v10 will be smooth and safe. Just because you hear someone say the word 'go' does not mean that you should actually go until you yourself have verified with the proper communications that it is actually in fact safe to go.


2 people marked this as a favorite.
Pathfinder Rulebook Subscriber

For those curious, the PF2E 4.0 update on Foundry went live, and while it was initially treated as a beta release in lieu of bugs coming up, it seems to be deemed good to go on that end. As well, both modules for Abomination Vaults and the Beginner Box have been updated to be compatible with Foundry V10.

Sigil are still hard at work to update Outlaws of Alkenstar and Blood Lords to V10. Don't expect that to be done until the end of the month. Same with Paizo and the Bounty modules.


I'm wondering who I can talk to for some troubleshooting help. I'm having issues with Foundry on my Pi and PF2. (PF1 works fine) I don't want to go into massive detail here if it's not the appropriate place.


1 person marked this as a favorite.
Pathfinder Card Game Subscriber
Robbzilla wrote:
I'm wondering who I can talk to for some troubleshooting help. I'm having issues with Foundry on my Pi and PF2. (PF1 works fine) I don't want to go into massive detail here if it's not the appropriate place.

Hi Robbzilla,

I would check out FoundryVTT's discord for this. They have an extremely helpful community of very talented individuals willing to help with #troubleshooting. There is also a #pf2e channel if the problem is related to the PF2 system on Foundry. Either way, someone should be able to help you out!


2 people marked this as a favorite.
Pathfinder Card Game Subscriber

Blood Lords and Outlaws of Alkenstar released for Foundry V10

The premium adventure modules for Blood Lords and Outlaws of Alkenstar are all up to date and can be installed on the latest version of Foundry (10.286) and the Pathfinder2e system (4.1.0+)!

If you want to start a new adventure, make sure to have the most recent versions, because the new updates are not backwards compatible.

If you are currently in a game and want to get in on the new journals and smarter roofs, make sure to copy any scene that you made changes to that you need to keep.

1) I suggest to remove all scenes before import as we made some changes that I expect won't be properly applied when the import is trying to update the scenes.

2) The journals however are brand new, that means the import won't automatically delete your old journals. The old journals are not used anywhere and some of the styling is no longer applied, remove them unless you made changes that you want to keep.

3) Importing the Player's Guide and a book or two books will show a "some contents already exist in the world and will be overwritten. Do you want to proceed?" - type warning. This is because we put the journals for each AP into one top level folder for better organization, you can safely proceed through that warning.

Beginner's Box and Abomination Vaults were updated to V10 previously, though Abomination Vaults hasn't been updated to new journal format yet. I have no news with the bounties since that isn't my area.


Pathfinder Rulebook Subscriber

So just need to wait for Abomination Vaults to get updated for Journals V2 (not required, but a nice-to-have), and for the Pathfinder Bounty modules to be updated for V10.

Good to know!


Paizo Superscriber; Pathfinder Companion, LO Special Edition, Pathfinder Accessories, PF Special Edition Subscriber; Starfinder Superscriber

I'm in the process of upgrading my foundry setup to v.10. There's still a few (five) modules that haven't been updated, so I guess I'll have to live without them for a while. :-)

Community / Forums / Paizo / Announcements / Paizo Foundry VTT modules and Foundry v10 All Messageboards

Want to post a reply? Sign in.